<template>
  <v-sheet rounded="lg">
    <v-list rounded="lg">
      <v-list-item
        title="Условия заказа"
        :subtitle="`Товаров в корзине: ${totalCount}`"
      >
      </v-list-item>
    </v-list>
    <v-list rounded="lg">
      <v-list-subheader class="font-weight-bold"
        >Общая стоимость: {{ totalPrice }} руб.</v-list-subheader
      >
      <v-divider class="my-2"></v-divider>
      <v-list-item
        link
        color="grey-lighten-4"
        @click="$router.push({ name: 'BasketOrder' })"
      >
        <v-list-item-title>Перейти к оплате</v-list-item-title>
      </v-list-item>
    </v-list>
  </v-sheet>
</template>

<script setup>
import { get } from 'vuex-pathify'

const totalPrice = get('market/basketTotalPrice')
const totalCount = get('market/basketTotalCount')
</script>

<style scoped></style>
